<?php
// Fichier: includes/db.php

try {
    // Création/Connexion à la base de données SQLite
    // Le fichier s'appellera 'naita_database.sqlite'
    $pdo = new PDO('sqlite:' . __DIR__ . '/../naita_database.sqlite');
    
    // On active les erreurs pour voir les problèmes pendant le développement
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    // On veut récupérer les données sous forme de tableau associatif
    $pdo->setAttribute(PDO::ATTR_DEFAULT_FETCH_MODE, PDO::FETCH_ASSOC);
    
} catch (PDOException $e) {
    die("Erreur de connexion à la base de données : " . $e->getMessage());
}
?>